movie-make-title-simple(1)

NAME
movie-make-title-simple - Creates a simple title sequence that can be used to create a menu with movie-title

SYNOPSIS

movie-make-title-simple -o output -m mode [-i image [-s]] [-b background] [-a audio] [-n animation]

DESCRIPTION
This program allows you to create a simple menu background for use with the movie-title program, which can then be used to create menus for DVDs with more than one menu on them.

You have the option of telling the program to use an empty background of a specific color (black being the default color) or to use an image that you supply to put in the background (optionally scaled to fit the screen).

Further, you have the option of supplying an audio track to be played while the menu is being displayed. If you do not specify an audio track, no audio will be played: this also means that the menu is completely static, and animated picture-in-picture versions of the movies that are displayed in the menu are not possible, only static pictures are possible in this case.

The best way to grasp how the system works is by trying it out for yourself.

OPTIONS
The following options are available:

-o output
    Specifies the name of the directory that should be created and will contain a number of JPEG files and a WAV file for the audio of the title sequence after the program is done. Personally, I usually use the name title (short and to-the-point).

-m mode
    Specify either pal or ntsc, depending on whether you are creating a PAL or NTSC DVD. NTSC is an American TV standard, PAL is usually used in Europe and other parts of the world.

-i image
    If you specify this option, you can supply the filename of an image in any format that the ImageMagick suite understands, and that image will be displayed in the background of your DVD menu. The image will be displayed in its original format, unless you specify the -s option (see below).

    A PAL menu is 720 pixels wide and 576 pixels in height. An NTSC menu is 720 pixels wide and 480 pixels in height. The aspect ratio of either is not exactly 4:3, but is close enough.

    If your picture is larger than the resolution of the menu itself, it will be scaled down (keeping the aspect ratio intact) to fit on the screen. If your picture does not have the same dimensions as the menu and leaves borders, the color of those borders can de determined using the -b option (see below).

-s  This option may only be specified if you specify the -i option as well. Otherwise, the program will complain and abort.

    This option, if specified, causes the image that was specified using the -i option to be scaled to the size of the menu itself (making it as large as possible without any pixels falling off any edge). If your picture is not the same shape as the menu and leaves borders, the color of those borders can de determined using the -b option (see below).

-b background
    Using this option, you can determine the color of the background of the menu that is not covered by the optional image that may be supplied using the -i option. If the -i option is not used, this option determines the color of the entire background.

    The color must be in the format rgb, #rgb, rrggbb or #rrggbb. The latter is the same color notation as is used on the web. Examples are:

    000000 Black
    000088 Dark blue
    0000ff Bright blue
    008800 Dark green
    00ff00 Bright green
    880000 Dark red
    ff0000 Bright red
    008888 Dark cyan
    00ffff Bright cyan
    880088 Dark magenta
    ff00ff Bright magenta
    888800 Brown
    ffff00 Yellow
    888888 Grey
    ffffff White

    There are numerous color choosers out on the web, one of which is http://www.ficml.org/jemimap/style/color/wheel.html. Using the color chooser, you can pick any color you like.

    As you can see from the syntax of the argument, the hash sign (#) is optional. If you want to use the hash sign, be sure to place the entire color specification in single or doubles quotes, because the hash sign can confuse some shells: they think the hash sign is the start of a comment, causing the rest of your command line to be ignored, causing an error because the -b will not have an argument in this case.

-a audio
    Using this option, you may supply the filename of an audio file to use in the menu. May be an MP3 file, a WAV file or anything else that mplayer can play without needing extra options.

    If you use audio in the menu, this will open up the possibility of using animated picture-in-picture versions of the movies in the menu (see the -n option below). If you do not supply an audio file, this will not be possible to use animated picture-in-picture versions, only static images or no previews at all (again, see the -n option below).

-n animation
    Using this option, you can tell the program what kind of menu you would like to create. The possible arguments are none (which will cause a menu to be created that will have no previews of the movies, but will only display the background color/image, the titles of the movies and the navigation buttons), static (which will cause a menu to be created that will display a preview image of each movie, but that is not animated) and animated (which is only possible if you supply an audio file using the -a option, see above, and which will cause a menu to be created that will display picture-in-picture animated previews of the movies).

    If you don't specify this option, the default will be to use animated if you supplied an audio track to be used and static if there is no audio.

DIAGNOSTICS
If this program is called with a incorrect set of parameters, it will print a diagnostic message telling the user what went wrong. Also, it will then print its usage information, listing all the options and their meanings.

The program tells you what it is doing while it is running.

EXAMPLE

The command line that I use most often is:

    movie-make-title-simple -o title -m pal \
    -i background.jpg -s -a nice_music.mp3

SEE ALSO
videotrans(1), movie-title(1), movie-make-title(1), movie-to-dvd(1), movie-compare-dvd(1), movie-rip-epg.data(1)

AUTHOR
The author is Sven Berkvens-Matthijsse (sven@berkvens.net). Please send any project related e-mail to videotrans@berkvens.net.

BUGS
None known. Please report any bugs to videotrans@berkvens.net!